Get a signed download URL for a file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /common/file/{fileId}/signed-url

Returns a signed download URL for a file and the time it is valid until (up to 24 hours). Returns 404 for an unknown or non-S3 file.

Path parameters

  • fileId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • url string Required
      • expiresAt string(date-time) Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /common/file/{fileId}/signed-url
curl \
 --request GET 'http://api.example.com/common/file/{fileId}/signed-url' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "url": "https://bucket.s3.amazonaws.com/files/report.pdf?X-Amz-Signature=abc123",
    "expiresAt": "2026-01-15T10:30:00.000Z"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}